Docs Replicate official format /replicate/v1/models/flux-kontext-apps/multi-image-kontext-pro/predictions
API reference

Create task flux-kontext-apps/multi-image-kontext-pro

Official documentation: https://replicate.com/flux-kontext-apps/multi-image-kontext-pro

POST/replicate/v1/models/flux-kontext-apps/multi-image-kontext-pro/predictions

Body Parametersapplication/json

input object

Input content

properties
aspect_ratio string

The aspect ratio of the generated image. Use "match_input_image" to match the aspect ratio of the input image. Default: "match_input_image"

input_image_1* string

The first input image. Must be in jpeg, png, gif or webp format.

input_image_2* string

Second input image. Must be in jpeg, png, gif or webp format.

output_format string

The output format of the generated image. Default value: "png".

prompt* string

A textual description of how to combine or transform the two input images.

safety_tolerance integer

Security tolerance, 0 is the strictest and 2 is the loosest. 2 is currently the maximum allowed. Default value: 2.

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"aspect_ratio": "match_input_image",
4"input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
5"input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
6"output_format": "png",
7"prompt": "Put the woman next to the house",
8"safety_tolerance": 2
9}
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-pro/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "match_input_image",
7"input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
8"input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
9"output_format": "png",
10"prompt": "Put the woman next to the house",
11"safety_tolerance": 2
12}
13}'
Response
1▼{
2"created_at": "2025-07-30T02:15:51.786Z",
3"data_removed": false,
4"id": "26t3agjpx9rme0crb4es5cbxx4",
5▼"input": {
6"aspect_ratio": "match_input_image",
7"input_image_1": "https://replicate.delivery/pbxt/N7gRAUNcVF6HarL0hdAQA2JYNMlJD52LP1wyaIWRUXWeHzqT/0_1-1.webp",
8"input_image_2": "https://replicate.delivery/pbxt/N7gRAK5kbPwdsbOpqgyAIOFQX45U6suTlbL6ws2N74SnGFpo/test.jpg",
9"output_format": "png",
10"prompt": "Put the woman next to the house",
11"safety_tolerance": 2
12},
13"logs": "",
14"model": "flux-kontext-apps/multi-image-kontext-pro",
15"status": "starting",
16▼"urls": {
17"cancel": "https://api.replicate.com/v1/predictions/26t3agjpx9rme0crb4es5cbxx4/cancel",
18"get": "https://api.replicate.com/v1/predictions/26t3agjpx9rme0crb4es5cbxx4",
19"stream": "https://stream.replicate.com/v1/files/bcwr-5cw3763ksezvhhtvt4n5ztxeywdagdmyes4uphs7ud3n65mftzba",
20"web": "https://replicate.com/p/26t3agjpx9rme0crb4es5cbxx4"
21},
22"version": "hidden"
23}